summaryrefslogtreecommitdiffstats
path: root/deployments/_functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deployments/_functions.sh')
-rwxr-xr-xdeployments/_functions.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/deployments/_functions.sh b/deployments/_functions.sh
index 47074433..c0feed0d 100755
--- a/deployments/_functions.sh
+++ b/deployments/_functions.sh
@@ -34,3 +34,14 @@ EOF
function start_all {
docker-compose up -d
}
+
+function wait_for_service {
+ for try in {0..59}; do
+ echo "$(date +%H:%M:%S) - Waiting for service up"
+ sleep 1
+ if $(curl http://localhost:9015/v1 &>/dev/null); then
+ return 0
+ fi
+ done
+ exit 1
+}